Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.exceptions
Class R01FBaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ejie.r01f.exceptions.R01FBaseException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AuxDataLoaderException, BzdConfigException, CollectionConverterException, EjieException, GUIDDispenserException, IllegalClassException, InitializeException, JVTComparatorException, MaxForKeyReachedException, ReflectionException, RPCException, SearchException, XMLPropertiesException, XOMarshallerException

public abstract class R01FBaseException
extends java.lang.Exception

Wrapper para las exceptiones del proyecto eAdministración. Provee a las excepciones de alguna funcionalidad adicional como la posibilidad de asociar un número de error o utilidades para imprimir la pila de llamadas de forma amigable en xml o html

See Also:
  Serialized Form

Constructor Summary
`R01FBaseException()` Constructor vacío
`R01FBaseException(java.lang.Exception cause)` Constructor en base otra excepción de más bajo nivel
`R01FBaseException(long exNumber, java.lang.Exception cause)` Constructor en base a un número de error y otra excepción de más bajo nivel
`R01FBaseException(long exNumber, java.lang.String msg)` Constructor en base a un número de error y otra excepción de más bajo nivel
`R01FBaseException(long exNumber, java.lang.String msg, java.lang.Exception cause)` Constructor en base a un número de error, un mensaje y otra excepción de más bajo nivel
`R01FBaseException(java.lang.String msg)` Constructor en base a otra excepción de más bajo nivel
`R01FBaseException(java.lang.String msg, java.lang.Exception cause)` Constructor en base un mensaje y otra excepción de más bajo nivel

Method Summary
`java.lang.String` | `getDetailedMessage()` Obtiene un detalle completo de la excepción
`long` | `getErrorNumber()` Devuelve el número de error asociado a esta exception
`java.lang.String` | `getMessage()` Obtiene el mensage de la excepcion
`java.lang.String` | `getRawMessage()` Obtiene el mensaje original de la exception (sin formato)
`void` | `setErrorNumber(long newErrorNumber)` Establece el numero de error asociado a esta exception
`java.lang.String` | `toHtml()` Obtiene un detalle completo de la excepción en forma de HTML
`java.lang.String` | `toString()` Obtiene la descripción de la excepción
`java.lang.String` | `toXML()` Obtiene la excepción en forma de XML

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### R01FBaseException

    public R01FBaseException()

  Constructor vacío

### R01FBaseException

    public R01FBaseException(java.lang.Exception cause)

  Constructor en base otra excepción de más bajo nivel

Parameters:
  `cause` - La causa de la excepción

### R01FBaseException

    public R01FBaseException(long exNumber,
                             java.lang.Exception cause)

  Constructor en base a un número de error y otra excepción de más bajo nivel

Parameters:
  `exNumber` - El número de excepcion
  `cause` - La causa de la excepción

### R01FBaseException

    public R01FBaseException(java.lang.String msg)

  Constructor en base a otra excepción de más bajo nivel

Parameters:
  `msg` - El mensaje de la excepción

### R01FBaseException

    public R01FBaseException(long exNumber,
                             java.lang.String msg)

  Constructor en base a un número de error y otra excepción de más bajo nivel

Parameters:
  `exNumber` - El número de excepcion
  `msg` - El mensaje de la excepción

### R01FBaseException

    public R01FBaseException(java.lang.String msg,
                             java.lang.Exception cause)

  Constructor en base un mensaje y otra excepción de más bajo nivel

Parameters:
  `msg` - El mensaje de la excepción
  `cause` - La excepcion origen

### R01FBaseException

    public R01FBaseException(long exNumber,
                             java.lang.String msg,
                             java.lang.Exception cause)

  Constructor en base a un número de error, un mensaje y otra excepción de más bajo nivel

Parameters:
  `exNumber` - El número de excepcion
  `msg` - El mensaje de la excepción
  `cause` - La excepcion origen

Method Detail

### getErrorNumber

    public long getErrorNumber()

  Devuelve el número de error asociado a esta exception

  Returns:
    El numero de error asociado a la excepcion

### setErrorNumber

    public void setErrorNumber(long newErrorNumber)

  Establece el numero de error asociado a esta exception

  Parameters:
    `newErrorNumber` - El nuevo número de error

### getMessage

    public java.lang.String getMessage()

  Obtiene el mensage de la excepcion

  Returns:
    El mensaje de la excepción

### getDetailedMessage

    public java.lang.String getDetailedMessage()

  Obtiene un detalle completo de la excepción

  Returns:
    El mensaje detallado de la excepción

### getRawMessage

    public java.lang.String getRawMessage()

  Obtiene el mensaje original de la exception (sin formato)

  Returns:
    el mensaje original (sin formatear) de la excepcion

### toXML

    public java.lang.String toXML()

  Obtiene la excepción en forma de XML

  Returns:
    Una cadena que contiene un XML representando la excepcion

### toHtml

    public java.lang.String toHtml()

  Obtiene un detalle completo de la excepción en forma de HTML

  Returns:
    Una cadena que contiene un HTML representando la excepcion

### toString

    public java.lang.String toString()

  Obtiene la descripción de la excepción

  Returns:
    La descripción de la excepcion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD